- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axiom_soap_fault_detail.h File Reference

axiom_soap_fault_detail struct More...

`#include <axutil_env.h>`
`#include <axiom_soap_fault.h>`
`#include <axiom_children_iterator.h>`

Go to the source code of this file.

## Typedefs
typedef struct axiom_soap_fault_detail | axiom_soap_fault_detail_t
## Functions
AXIS2_EXTERN axiom_soap_fault_detail_t * | axiom_soap_fault_detail_create_with_parent (const axutil_env_t *env, axiom_soap_fault_t *fault)
AXIS2_EXTERN void | axiom_soap_fault_detail_free (axiom_soap_fault_detail_t *fault_detail, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_soap_fault_detail_add_detail_entry (axiom_soap_fault_detail_t *fault_detail, const axutil_env_t *env, axiom_node_t *ele_node)
AXIS2_EXTERN axiom_children_iterator_t * | axiom_soap_fault_detail_get_all_detail_entries (axiom_soap_fault_detail_t *fault_detail, const axutil_env_t *env)
AXIS2_EXTERN axiom_node_t * | axiom_soap_fault_detail_get_base_node (axiom_soap_fault_detail_t *fault_code, const axutil_env_t *env)

## Detailed Description

axiom_soap_fault_detail struct